Get Counter Time Series
Get counter time series.
curl --request GET \
--url https://api.example.com/v1/telemetry/counters/{metric_name}/time_seriesimport requests
url = "https://api.example.com/v1/telemetry/counters/{metric_name}/time_series"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/telemetry/counters/{metric_name}/time_series', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/telemetry/counters/{metric_name}/time_series"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"metric": "<string>",
"series": [
{
"points": [
{
"timestamp": 123,
"value": 123
}
],
"labels": {
"agent_id": "<string>",
"deployment_environment": "<string>",
"exported_job": "<string>",
"job": "<string>",
"service_name": "<string>",
"service_namespace": "<string>",
"service_version": "<string>",
"team_id": "<string>",
"user_id": "<string>",
"evaluation_id": "<string>"
}
}
],
"labels": {
"agent_id": "<string>",
"deployment_environment": "<string>",
"exported_job": "<string>",
"job": "<string>",
"service_name": "<string>",
"service_namespace": "<string>",
"service_version": "<string>",
"team_id": "<string>",
"user_id": "<string>",
"evaluation_id": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Path Parameters
Query Parameters
Time range: 15m, 30m, 1h, 2h, 6h, 1d, 7d, 30d
15m, 30m, 1h, 2h, 6h, 1d, 7d, 30d Filter by evaluation ID
Filter by agent configuration ID
Response
Successful Response
chat_completions_total
List of time series data
Hide child attributes
Hide child attributes
Structured metric labels for this series
Hide child attributes
Hide child attributes
Agent ID (same as agent_configuration_id)
Deployment environment (e.g., production, staging)
Exported job identifier
Job name (e.g., otel-collector)
Service name (e.g., vijil.dome)
Service namespace
Service version
Team ID
User ID
Evaluation ID filter
Structured metric labels
Hide child attributes
Hide child attributes
Agent ID (same as agent_configuration_id)
Deployment environment (e.g., production, staging)
Exported job identifier
Job name (e.g., otel-collector)
Service name (e.g., vijil.dome)
Service namespace
Service version
Team ID
User ID
Evaluation ID filter
Was this page helpful?
curl --request GET \
--url https://api.example.com/v1/telemetry/counters/{metric_name}/time_seriesimport requests
url = "https://api.example.com/v1/telemetry/counters/{metric_name}/time_series"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/telemetry/counters/{metric_name}/time_series', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/telemetry/counters/{metric_name}/time_series"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"metric": "<string>",
"series": [
{
"points": [
{
"timestamp": 123,
"value": 123
}
],
"labels": {
"agent_id": "<string>",
"deployment_environment": "<string>",
"exported_job": "<string>",
"job": "<string>",
"service_name": "<string>",
"service_namespace": "<string>",
"service_version": "<string>",
"team_id": "<string>",
"user_id": "<string>",
"evaluation_id": "<string>"
}
}
],
"labels": {
"agent_id": "<string>",
"deployment_environment": "<string>",
"exported_job": "<string>",
"job": "<string>",
"service_name": "<string>",
"service_namespace": "<string>",
"service_version": "<string>",
"team_id": "<string>",
"user_id": "<string>",
"evaluation_id": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}